"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var Highcharts = _interopRequireWildcard(require("highcharts"));

var _highchartsReactOfficial = _interopRequireDefault(require("highcharts-react-official"));

var _react = _interopRequireDefault(require("react"));

var _highcharts3d = _interopRequireDefault(require("highcharts/highcharts-3d"));

var _excluded = ["options", "style"];

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

(0, _highcharts3d["default"])(Highcharts);
var createElement = _react["default"].createElement;

var LCHighcharts = function LCHighcharts(_ref) {
  var options = _ref.options,
      style = _ref.style,
      restProps = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);

  if (!options) {
    return /*#__PURE__*/_react["default"].createElement("div", null);
  }

  return /*#__PURE__*/_react["default"].createElement(_highchartsReactOfficial["default"], (0, _extends2["default"])({}, restProps, {
    containerProps: {
      style: style
    },
    highcharts: Highcharts,
    options: options
  }));
};

var _default = LCHighcharts;
exports["default"] = _default;