import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["options", "style"];
import * as Highcharts from 'highcharts';
import HighchartsReact from 'highcharts-react-official';
import React from 'react';
import highcharts3d from 'highcharts/highcharts-3d';
highcharts3d(Highcharts);
var createElement = React.createElement;

var LCHighcharts = function LCHighcharts(_ref) {
  var options = _ref.options,
      style = _ref.style,
      restProps = _objectWithoutPropertiesLoose(_ref, _excluded);

  if (!options) {
    return /*#__PURE__*/React.createElement("div", null);
  }

  return /*#__PURE__*/React.createElement(HighchartsReact, _extends({}, restProps, {
    containerProps: {
      style: style
    },
    highcharts: Highcharts,
    options: options
  }));
};

export default LCHighcharts;